Skip to main content
POST
/
v5
/
accounting
/
manualJournalEntry
Save a manual journal entry
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/accounting/manualJournalEntry \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "manualJournalEntry": {
    "description": "<string>",
    "date": "2023-11-07T05:31:56Z",
    "id": 123,
    "entryDate": "2023-11-07T05:31:56Z",
    "frequency": "ONE_TIME",
    "cashTransactions": [
      {
        "glAccountId": 123,
        "drAmount": 123,
        "crAmount": 123
      }
    ],
    "accrualTransactions": [
      {
        "glAccountId": 123,
        "drAmount": 123,
        "crAmount": 123
      }
    ],
    "apiEntryId": "<string>",
    "transactions": [
      {
        "glAccountId": 123,
        "drAmount": 123,
        "crAmount": 123
      }
    ]
  }
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

manualJournalEntry object

manualJournalEntry
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object